# Uses of Enum Class
com.logicaldoc.core.document.IndexingStatus

Packages that use IndexingStatus
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of IndexingStatus in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return IndexingStatus
Modifier and Type
Method
Description
`IndexingStatus`
AbstractDocument.`getIndexed()`
`IndexingStatus`
AbstractDocument.`getIndexingStatus()`
`static IndexingStatus`
IndexingStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IndexingStatus[]`
IndexingStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.document with parameters of type IndexingStatus
Modifier and Type
Method
Description
`void`
DocumentManager.`changeIndexingStatus(Document doc, IndexingStatus status)`
Utility method used to declare that: the document must be taken into consideration by the indexer (status = `TO_INDEX` . the document must be taken into consideration by the indexer for the metadata only(status = `TO_INDEX_METADATA`. the document must not be taken into consideration by the indexer (status = `SKIP`).
`long`
DocumentDAO.`countByIndexed(IndexingStatus indexingStatus)`
Counts the number of documents in a given indexation status(@see `AbstractDocument.getIndexed()`
`long`
HibernateDocumentDAO.`countByIndexed(IndexingStatus indexingStatus)`
`List<Document>`
DocumentDAO.`findByIndexingStatus(IndexingStatus indexingStatus)`
Finds all documents by the indexing status.
`List<Document>`
HibernateDocumentDAO.`findByIndexingStatus(IndexingStatus indexingStatus)`
`void`
AbstractDocument.`setIndexingStatus(IndexingStatus indexingStatus)`